Hide navigation sidebar
Hide table of contents sidebar
Skip to content
pybind11 documentation

- Changelog
- Upgrade guide

The Basics

- Installing the library
- First steps
- Object-oriented code
- Build systems

Advanced Topics

- Functions
- Classes
- Exceptions
- Smart pointers
- Type conversions
  Toggle navigation of Type conversions
  - Overview
  - Strings, bytes and Unicode conversions
  - STL containers
  - Functional
  - Chrono
  - Eigen
  - Custom type casters
- Python C++ interface
  Toggle navigation of Python C++ interface
  - Python types
  - NumPy
  - Utilities
- Embedding the interpreter
- Miscellaneous

Extra Information

- Frequently asked questions
- Benchmark
- Limitations
- Reference
- CMake helpers

Back to top
Toggle table of contents sidebar